.pageload-overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	visibility: hidden;
	z-index: 1000000000;
}

.pageload-overlay.show {
	visibility: visible;
}

.pageload-overlay > svg {
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none;
}

.pageload-overlay .pageload-animation {
	visibility: hidden;
	opacity: 0;
	z-index: 1000;
	-webkit-transition: opacity 0.15s, visibility 0s 0.15s;
	transition: opacity 0.15s, visibility 0s 0.15s;
}

.pageload-loading.pageload-overlay .pageload-animation {
	opacity: 1;
	visibility: visible;
	-webkit-transition: opacity 0.3s;
	transition: opacity 0.3s;
}